|  | reflex::AbstractMatcher::Handler Struct Reference updated Wed Apr 10 2024 by Robert van Engelen |

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
reflex::AbstractMatcher::Handler Struct Referenceabstract

Event handler functor base class to invoke when the buffer contents are shifted out, e.g. for logging the data searched. More...

`#include <absmatcher.h>`

## Public Member Functions

virtual void | operator() (AbstractMatcher &, const char *, size_t, size_t)=0
virtual | ~Handler ()

## Detailed Description

Event handler functor base class to invoke when the buffer contents are shifted out, e.g. for logging the data searched.

## Constructor & Destructor Documentation

virtual reflex::AbstractMatcher::Handler::~Handler | ( |  | ) |

inlinevirtual

## Member Function Documentation

virtual void reflex::AbstractMatcher::Handler::operator() | ( | AbstractMatcher & | ,
|  | const char * | ,
|  | size_t | ,
|  | size_t |
| ) |  |

pure virtual

The documentation for this struct was generated from the following file:

- absmatcher.h